DM_REGISTER_MANAGERS(3)

EXPERIMENTAL_FUNC
dm_register_managers - Register the managers.

SYNOPSIS
#include <karma_dm.h>

void dm_register_managers

( KManagedDescriptor (*manage_func) (int fd, void *info, flag auto_close,va_list argp), void *(*unmanage_func) (int fd, KManagedDescriptor md) )

DESCRIPTION
Register the managers.

manage_func
    The function which will be called to manage descriptors. The interface to this function is the same as <-dm_manage->.

unmanage_func
    The function which will be called to manage descriptors. The interface to this function is the same as <-dm_unmanage->.

RETURN VALUE
Nothing. On failure the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/